package com.steerinfo.baseinfo.meterbasescalerange.mapper;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.baseinfo.meterbasescalerange.model.MeterBaseScaleRange;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface MeterBaseScaleRangeMapper extends IBaseMapper<MeterBaseScaleRange, String> {
     String GetNewID();

     List<MeterBaseScaleRange> selectForUpdate(Map<String, Object> parameters);

     MeterBaseScaleRange selectWeight(Map<String, Object> parameters);
}